﻿@using Portal.Models;
@using Portal.Models.ScanGate;
@using Portal.Controllers;
@using Portal.Models.PO;
@using System.Web.UI.WebControls;
@using System.Data;
@using System.Data.SqlClient;
@model Toyota.Common.Web.MVC.ModelHolder   

@{ 
    string ScanGate = ViewData["ScanGate"] != null ? ViewData["ScanGate"].ToString() : "";
}

@section StartupScript{
@* Set the apps for the startup show form for first time *@
    
    
     
}
<script src="@Url.Content("~/Scripts/soundmanager2.js")" type="text/javascript"></script>
<script type="text/javascript">

    var timer = 0;
    var scangate = "";
    $(document).ready(function () {
        scangate = "@ScanGate";
        ClearGate();

        if ((scangate != "") && (scangate != undefined) && (scangate != null)) {
            $("#txtGate_I").attr("disabled", true);
            $("#txtGate_I").css("background-color", "gray");
            $("#txtGate_I").css("color", "black");
            $("#txtGate").css("background-color", "gray");
            txtDeliveryNo.Focus();
            txtGate.SetText(scangate);
        }
        else {
            $("#txtGate_I").attr("disabled", false);
            $("#txtGate_I").css("background-color", "white");
            $("#txtGate_I").css("color", "black");
            $("#txtGate").css("background-color", "white");
            txtGate.SetText
            txtGate.Focus();
        }
    })

    function ajaxError(request, type, errorThrown) {
        var message = "There was an error with the AJAX request.\n";
        switch (type) {
            case 'timeout':
                message += "The request timed out.";
                break;
            case 'notmodified':
                message += "The request was not modified but was not retrieved from the cache.";
                break;
            case 'parsererror':
                message += "XML/Json format is bad.";
                break;
            default:
                message += "HTTP Error (" + request.status + " " + request.statusText + ").";
        }
        message += "\n";
        document.getElementById("lblErrorMessage").innerHTML = message;
        soundManager.setup(
        {
            url: 'Content/swf/soundmanager2.swf',
            onready: function () {
                var myFailure = soundManager.createSound({
                    id: 'myFailure',
                    url: 'Content/Sounds/Failure.mp3'
                });

                myFailure.play();
            }
        });
        txtDeliveryNo.SetText("");
        txtDeliveryNo.Focus();
    }
    function OnKeyDownDeliveryNo(s, e) {
        if (e.htmlEvent.keyCode == ASPxKey.Enter) {
            btnReceive.DoClick();
            return ASPxClientUtils.PreventEventAndBubble(e.htmlEvent);
        }
    }
    function ValidateDeliveryData(s, e) {
        timer = 1;

        document.getElementById("lblErrorMessage").innerHTML==" ";
       // document.getElementById("lblErrorMessage").innerHTML = '';

         if (txtGate.GetText() == "" || txtGate.GetText() == null) {
             //added by fid.deny 2015-05-18, clearing detail if error occured
             ClearGate();
             //end of added by fid.deny 2015-05-18

             document.getElementById("lblErrorMessage").innerHTML = 'Gate No required';
             soundManager.setup(
                    {
                        url: 'Content/swf/soundmanager2.swf',
                        onready: function () {
                            var gatenorequired = soundManager.createSound({
                                id: 'idgatenorequired',

                                url: 'Content/Sounds/Failure.mp3'
                            });

                            gatenorequired.play();
                        }
                    });
             txtDeliveryNo.SetText("");

             if ((scangate == "") || (scangate == undefined) || (scangate == null)) {
                 txtGate.SetText("");
                 txtGate.Focus();
             }
             else {
                 txtDeliveryNo.Focus();
             }
             
         }
         else if (txtDeliveryNo.GetText() == "" || txtDeliveryNo.GetText() == null) {
             //added by fid.deny 2015-05-18, clearing detail if error occured
             ClearGate();
             //end of added by fid.deny 2015-05-18

             document.getElementById("lblErrorMessage").innerHTML = 'Delivery No required';
             soundManager.setup(
                    {
                        url: 'Content/swf/soundmanager2.swf',
                        onready: function () {
                            var deliverynorequired = soundManager.createSound({
                                id: 'iddeliverynorequired',
                                url: 'Content/Sounds/Failure.mp3'
                            });

                            deliverynorequired.play();
                        }
                    });
             txtDeliveryNo.SetText("");

             if ((scangate == "") || (scangate == undefined) || (scangate == null)) {
                 txtGate.SetText("");
                 txtGate.Focus();
             }
             else {
                 txtDeliveryNo.Focus();
             }
         }
         else if (txtDeliveryNo.GetText().length < 13) {
             //added by fid.deny 2015-05-18, clearing detail if error occured
             ClearGate();
             //end of added by fid.deny 2015-05-18

             document.getElementById("lblErrorMessage").innerHTML = 'Delivery No is not valid';
             soundManager.setup(
                        {
                            url: 'Content/swf/soundmanager2.swf',
                            onready: function () {
                                var deliverynotvalid = soundManager.createSound({
                                    id: 'iddeliverynotvalid',
                                    url: 'Content/Sounds/Failure.mp3'
                                });

                                deliverynotvalid.play();
                            }
                        });
             txtDeliveryNo.SetText("");
             
             if ((scangate == "") || (scangate == undefined) || (scangate == null)) {
                 txtGate.SetText("");
                 txtGate.Focus();
             }
             else {
                 txtDeliveryNo.Focus();
             }
         }
         else {
              try
              {
             $.ajax({
                       type: "POST",
                            url: "@Url.Content("~/ScanGate/CheckDeliveryData")",
                            dataType: "text",
                            data: {
                                txtDeliveryNo: txtDeliveryNo.GetText(),
                                txtGATE :txtGate.GetText()
                            }
                            ,

                            success: function (result) {
                            //alert(result);
                                    if (result != null && result != " ") {
                                        if (result == "0"||result == "1") {
                                            //alert(result);
                                            //added by fid.deny 2015-05-18, clearing lblErrorMessage if no error
                                            document.getElementById("lblErrorMessage").innerHTML = '';
                                            //end of added by fid.deny
                                            Submit(s,e);
                                        }

                                        else if (result == "2") {
                                            document.getElementById("lblErrorMessage").innerHTML = 'Double Scan';
                                            Submit(s, e);
                                        }
                                        else if (result == "3") {
                                            //added by fid.deny 2015-05-18, clearing detail if error occured
                                            ClearGate();
                                            //end of added by fid.deny 2015-05-18
                                                    document.getElementById("lblErrorMessage").innerHTML ="Gate code doesn\'t exists";// 'data already scanned';
                                                     soundManager.setup(
                                                                {
                                                                    url: 'Content/swf/soundmanager2.swf',
                                                                    onready: function () {
                                                                        var gatenotexists = soundManager.createSound({
                                                                            id: 'idgatenotexists',
                                                                            url: 'Content/Sounds/Failure.mp3'
                                                                        });

                                                                        gatenotexists.play();
                                                                    }
                                                                    });
                                                         txtDeliveryNo.SetText("");
                                                         
                                                         if ((scangate == "") || (scangate == undefined) || (scangate == null)) {
                                                             txtGate.SetText("");
                                                             txtGate.Focus();
                                                         }
                                                         else {
                                                             txtDeliveryNo.Focus();
                                                         }

                                        }
                                        else if (result == "4") {
                                            //added by fid.deny 2015-05-18, clearing detail if error occured
                                            ClearGate();
                                            //end of added by fid.deny 2015-05-18
                                                    document.getElementById("lblErrorMessage").innerHTML ='Gate Code or Delivery No is not valid';// 'data already scanned';
                                                     soundManager.setup(
                                                                {
                                                                    url: 'Content/swf/soundmanager2.swf',
                                                                    onready: function () {
                                                                        var notvalid = soundManager.createSound({
                                                                            id: 'idnotvalid',
                                                                            url: 'Content/Sounds/Failure.mp3'
                                                                        });

                                                                        notvalid.play();
                                                                    }
                                                                    });
                                                        txtDeliveryNo.SetText("");

                                                        if ((scangate == "") || (scangate == undefined) || (scangate == null)) {
                                                             txtGate.SetText("");
                                                             txtGate.Focus();
                                                         }
                                                         else {
                                                             txtDeliveryNo.Focus();
                                                         }

                                        }
                                        else if (result == "5") {
                                            //added by fid.deny 2015-05-18, clearing detail if error occured
                                            ClearGate();
                                            //end of added by fid.deny 2015-05-18
                                                    document.getElementById("lblErrorMessage").innerHTML ='Gap between Scan Arrival and Departure is 5 minutes, please wait!!';//
                                                     soundManager.setup(
                                                                {
                                                                    url: 'Content/swf/soundmanager2.swf',
                                                                    onready: function () {
                                                                        var fiveminutes = soundManager.createSound({
                                                                            id: 'idfiveminutes',
                                                                            url: 'Content/Sounds/Double Scan.mp3'
                                                                        });

                                                                        fiveminutes.play();
                                                                    }
                                                                    });

                                                         txtDeliveryNo.SetText("");
                                                         
                                                         if ((scangate == "") || (scangate == undefined) || (scangate == null)) {
                                                             txtGate.SetText("");
                                                             txtGate.Focus();
                                                         }
                                                         else {
                                                             txtDeliveryNo.Focus();
                                                         }
                                        }

                                        else if (result == "6") {
                                            //added by fid.deny 2015-05-18, clearing detail if error occured
                                            ClearGate();
                                            //end of added by fid.deny 2015-05-18
                                            document.getElementById("lblErrorMessage").innerHTML = 'Please scan again at destination gate';// 'data as supplier, not destination';
                                            soundManager.setup(
                                                       {
                                                           url: 'Content/swf/soundmanager2.swf',
                                                           onready: function () {
                                                               var scanagain = soundManager.createSound({
                                                                   id: 'idscanagain',
                                                                   url: 'Content/Sounds/Failure.mp3'
                                                               });

                                                               scanagain.play();
                                                           }
                                                       });
                                            txtDeliveryNo.SetText("");
                                            
                                            if ((scangate == "") || (scangate == undefined) || (scangate == null)) {
                                                txtGate.SetText("");
                                                txtGate.Focus();
                                            }
                                            else {
                                                txtDeliveryNo.Focus();
                                            }

                                        }
                                        // Added by WOT, 23/6/2015 [start]
                                        else if (result.indexOf("##TCS_ERROR##") == 0) {
                                            //added by fid.deny 2015-05-18, clearing detail if error occured
                                            ClearGate();
                                            //end of added by fid.deny 2015-05-18
                                            document.getElementById("lblErrorMessage").innerHTML = result.replace("##TCS_ERROR##", "");
                                            soundManager.setup(
                                                       {
                                                           url: 'Content/swf/soundmanager2.swf',
                                                           onready: function () {
                                                               var myFailure = soundManager.createSound({
                                                                   id: 'myFailure',
                                                                   url: 'Content/Sounds/Failure.mp3'
                                                               });

                                                               myFailure.play();
                                                           }
                                                       });
                                            txtDeliveryNo.SetText("");
                                            
                                            if ((scangate == "") || (scangate == undefined) || (scangate == null)) {
                                                txtGate.SetText("");
                                                txtGate.Focus();
                                            }
                                            else {
                                                txtDeliveryNo.Focus();
                                            }

                                        }
                                        // Added by WOT, 23/6/2015 [end]
                                    }
                            },
                             error: ajaxError});

                }
                catch(err)
                {

                }
            }
        }

        function Submit(s, e) {
        var ErrorMessage= document.getElementById("lblErrorMessage").innerHTML;
        $.ajax({
             type: "POST",
            url: "@Url.Content("~/ScanGate/ModifReceivingData")",
            dataType: "text",
            data: {
                txtDeliveryNo: txtDeliveryNo.GetText(),
                txtGATE :txtGate.GetText()
            },
            success: function (result) {
             $("#theresult").html(result);

                            if (document.getElementById("lblStatusIn").innerHTML == "DELAY"
                                && document.getElementById("lblStatusOut").innerHTML == ""
                                && ErrorMessage=="") {
                                soundManager.setup(
                                {
                                    url: 'Content/swf/soundmanager2.swf',
                                    onready: function () {
                                        var arvdelay = soundManager.createSound({
                                            id: 'idarvdelay',
                                            url: 'Content/Sounds/ARV Delay.mp3'
                                        });

                                        arvdelay.play();
                                    }
                                });
                                 document.getElementById("lblErrorMessage").innerHTML = 'DELAY'
                            }

                            else if (document.getElementById("lblStatusIn").innerHTML == "ON TIME"
                                && document.getElementById("lblStatusOut").innerHTML == ""
                                && ErrorMessage=="") {
                                soundManager.setup(
                                {
                                    url: 'Content/swf/soundmanager2.swf',
                                    onready: function () {
                                        var arvontime = soundManager.createSound({
                                            id: 'idarvontime',
                                            url: 'Content/Sounds/ARV OnTime.mp3'
                                        });

                                        arvontime.play();
                                    }
                                });
                                 document.getElementById("lblErrorMessage").innerHTML = "ON TIME";
                            }
                            else if (document.getElementById("lblStatusIn").innerHTML == "ADVANCE"
                                && document.getElementById("lblStatusOut").innerHTML == ""
                                && ErrorMessage=="") {
                                soundManager.setup(
                                {
                                    url: 'Content/swf/soundmanager2.swf',
                                    onready: function () {
                                        var arvadvance = soundManager.createSound({
                                            id: 'idarvadvance',
                                            url: 'Content/Sounds/ARV Advance.mp3'
                                        });

                                        arvadvance.play();
                                    }
                                });
                                 document.getElementById("lblErrorMessage").innerHTML = "ADVANCE";
                            }
                            else if (document.getElementById("lblStatusOut").innerHTML=="ADVANCE"
                                && ErrorMessage=="")
                            {
                                soundManager.setup(
                                {
                                    url: 'Content/swf/soundmanager2.swf',
                                    onready: function () {
                                        var dptadvance = soundManager.createSound({
                                            id: 'iddptadvance',
                                            url: 'Content/Sounds/DPT Advance.mp3'
                                        });

                                        dptadvance.play();
                                    }
                                });
                                 document.getElementById("lblErrorMessage").innerHTML = "ADVANCE";
                            }
                            else if (document.getElementById("lblStatusOut").innerHTML=="ON TIME"
                                && ErrorMessage=="")
                            {
                                soundManager.setup(
                                {
                                    url: 'Content/swf/soundmanager2.swf',
                                    onready: function () {
                                        var dptontime = soundManager.createSound({
                                            id: 'iddptontime',
                                            url: 'Content/Sounds/DPT OnTime.mp3'
                                        });

                                        dptontime.play();
                                    }
                                });
                                 document.getElementById("lblErrorMessage").innerHTML = "ON TIME";
                            }
                            else if (document.getElementById("lblStatusOut").innerHTML=="DELAY"
                                    && ErrorMessage=="")
                            {
                                soundManager.setup(
                                {
                                    url: 'Content/swf/soundmanager2.swf',
                                    onready: function () {
                                        var dptdelay = soundManager.createSound({
                                            id: 'iddptdelay',
                                            url: 'Content/Sounds/DPT Delay.mp3'
                                        });

                                        dptdelay.play();
                                    }
                                });
                                 document.getElementById("lblErrorMessage").innerHTML = "DELAY";
                            }
                            else if (ErrorMessage !="")
                            {
                                     //alert ("tes")
                                        soundManager.setup(
                                                    {
                                                      url: 'Content/swf/soundmanager2.swf',
                                                      onready: function () {
                                                      var ddoublescan = soundManager.createSound({
                                                                            id: 'idddoublescan',
                                                                            url: 'Content/Sounds/Double Scan.mp3'
                                                                        });

                                                                        ddoublescan.play();
                                                                    }
                                                      });
                                    document.getElementById("lblErrorMessage").innerHTML=ErrorMessage;

                            }


                //added by fid.deny 2015-05-18
                        txtDeliveryNo.SetText("");
                        
                        if ((scangate == "") || (scangate == undefined) || (scangate == null)) {
                            txtGate.SetText("");
                            txtGate.Focus();
                        }
                        else {
                            txtDeliveryNo.Focus();
                        }
                //end of added by fid.deny

            },
            error: ajaxError});
        }


    function OnKeyDownGate(s, e) {
        if (e.htmlEvent.keyCode == ASPxKey.Enter) {
            txtDeliveryNo.Focus();
            //$('#txtDeliveryNo').focus();
            return ASPxClientUtils.PreventEventAndBubble(e.htmlEvent);
        }
    }

    //added by fid.deny 2015-05-18
    setInterval(function () {
        if ((txtDeliveryNo.GetText() == "" || txtDeliveryNo.GetText() == null) && (txtGate.GetText() == "" || txtGate.GetText() == null) && timer == 0) {
            ClearGate();
            document.getElementById("lblErrorMessage").innerHTML = "";
            //alert('hapus');
        }
        else {
            timer = 0;
            //alert('tidak siap hapus');
        }
    }, 45000); //timer for reset page
    //end of added by fid.deny 2015-05-18



    function ClearGate(){
        txtDeliveryNo.SetText('');
        
        if ((scangate == "") || (scangate == undefined) || (scangate == null)) {
            txtGate.SetText('');
        }
        
        //document.getElementById("lblErrorMessage").innerHTML=""; //commented by fid.deny 2015-05-18
        $('#imgIN').attr('src', 'Content/Images/defaultScanGate.jpg');
        $('#imgOUT').attr('src', 'Content/Images/defaultScanGate.jpg');
        document.getElementById("lblROUTE").innerHTML="";
        document.getElementById("lblRate").innerHTML="";
        txtPlanIn.SetText('');
        txtActualIn.SetText('');
        txtGapIn.SetText('');
        document.getElementById("lblStatusIn").innerHTML="";
        txtPlanOut.SetText('');
        txtActualOut.SetText('');
        txtGapOut.SetText('');
        document.getElementById("lblStatusOut").innerHTML="";
    }

    //set focus//
    function addLoadEvent(func) {
        var oldonload = window.onload;
        if (typeof window.onload != 'function') {
            window.onload = func;
        } else {
            window.onload = function () {
                oldonload();
                func();
            }
        }
    }

    addLoadEvent(focusSet);

    function focusSet() {
        document.getElementById("txtGate_I").focus();

    }
    //end of set focus//





</script>

@{Layout = "~/Views/Layout/Dashboard.cshtml";}

<br />
<table style="width:100%; text-align:center; background-color:#e9f1f6;padding:0;margin:0;">
    <tr>
    <td >    
     @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblWelcome";
                        settings.Text = "PT. TOYOTA MOTOR MANUFACTURING INDONESIA";
                        settings.ControlStyle.Font.Size = 25;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.VerticalAlign = VerticalAlign.Bottom;
                        settings.ControlStyle.Font.Bold = true;
                    }).GetHtml()
                   
    </td>
    </tr>    
    <tr>
    <td >
    
     @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblCompany";
                        settings.Text = "WELCOME TO OUR GATE";
                        settings.ControlStyle.Font.Size = 20;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.VerticalAlign = VerticalAlign.Bottom;
                        settings.ControlStyle.Font.Bold = true;
                    }).GetHtml()
                   
    </td>
    </tr>
    <tr>
    <td align="center">
    @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblSCAN";
                        settings.Text = "PLEASE SCAN YOUR DELIVERY NO";
                        settings.ControlStyle.Font.Size = 18;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.VerticalAlign = VerticalAlign.Bottom;
                        settings.ControlStyle.Font.Bold = true;
                    }).GetHtml()
   
    
    </td>
    </tr>      
    <tr>
    <td align="center">
    <table style="text-align:center;">
    <tr>
    <td>
   @Html.DevExpress().Label(
                            settings =>
                            {
                                settings.Name = "lblGate";
                                settings.Text = "Gate";
                                settings.ControlStyle.Font.Size = 15;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
      </td>
    <td>
   @Html.DevExpress().Label(
                            settings =>
                            {
                                settings.Name = "lblDeliveryNo";
                                settings.Text = "Delivery No";
                                settings.ControlStyle.Font.Size = 15;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
   </td>
    </tr>
    <tr>
    <td>
    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "txtGate";
                        settings.ControlStyle.Font.Size = 18;
                        settings.Properties.MaxLength = 13;
                        settings.Width = Unit.Pixel(200);
                        settings.ShowModelErrors = true;
                        settings.Properties.ValidationSettings.RequiredField.IsRequired = true;
                        settings.Properties.ClientSideEvents.KeyDown = "OnKeyDownGate";
                    }).GetHtml()
    </td>
    <td>
                 @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "txtDeliveryNo";
                        settings.ControlStyle.Font.Size = 18;
                        settings.Properties.MaxLength = 13;
                        settings.Width = Unit.Pixel(200);
                        settings.ShowModelErrors = true;
                        settings.Properties.ValidationSettings.RequiredField.IsRequired = true;
                        settings.Properties.ClientSideEvents.KeyDown = "OnKeyDownDeliveryNo";
                    }).GetHtml()
    </td>
    </tr>
    </table>
        
    </td>
                        
    </tr>
    <tr>
    <td  align="center">
      @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnReceive";
                    settings.Text = "Receive";
                    settings.UseSubmitBehavior = true;
                    settings.ControlStyle.Font.Size = 12;
                    settings.ClientSideEvents.Click = "ValidateDeliveryData";
                }
            ).GetHtml()            
    </td>
    </tr>
    </table> 

 @{
                    Html.RenderAction("PartialDetailRecevingMores", "ScanGate");
                }